# 3.5.8. codebase

resource type: codebase
  Attributes:

    - codebaseid (integer) – the ID of this codebase

    - name (string) – the name of the codebase

    - slug (identifier) – the “slug”, suitable for use in a URL, of this codebase

    - projectid (integer) – the ID of the project codebase is associated to

Codebase represent an logical collection of source code and other resources.

## 3.5.8.1. Update Methods

All update methods are available as attributes of `master.data.updates`.

class buildbot.data.codebases.Codebase
  update_codebase_info(*, codebaseid, projectid, slug)
    Parameters:

      - codebaseid (int) – the ID of the codebase to update

      - projectid (int) – the new project to associate the codebase to

      - slug (string) – the new slug to assign to codebase

    Returns:

      None via Deferred.

    Updates the information of an existing codebase.